pqxx::internal::unique< GUEST > Class Template Reference

Ensure proper opening/closing of GUEST objects related to a "host" object. More...

`#include <util.hxx>`

## Public Member Functions

| unique ()
GUEST * | get () const throw ()
void | Register (GUEST *G)
void | Unregister (GUEST *G)

## Detailed Description

### template<typename GUEST>
class pqxx::internal::unique< GUEST >

Ensure proper opening/closing of GUEST objects related to a "host" object.

Only a single GUEST may exist for a single host at any given time. GUEST must be derived from namedclass.

## Constructor & Destructor Documentation

## unique()

template<typename GUEST>

pqxx::internal::unique< GUEST >::unique | ( |  | ) |

## Member Function Documentation

## get()

template<typename GUEST>

GUEST* pqxx::internal::unique< GUEST >::get | ( |  | ) | const
throw | ( |
| ) |  |

## Register()

template<typename GUEST>

void pqxx::internal::unique< GUEST >::Register | ( | GUEST * | G | ) |

## Unregister()

template<typename GUEST>

void pqxx::internal::unique< GUEST >::Unregister | ( | GUEST * | G | ) |

The documentation for this class was generated from the following file:

- util.hxx